Loading...
Searching...
No Matches
osmium::StringMatcher::regex Class Reference

`#include <string_matcher.hpp>`

Inheritance diagram for osmium::StringMatcher::regex:
[legend]
Collaboration diagram for osmium::StringMatcher::regex:
[legend]

## Public Member Functions

| regex (std::regex regex)
bool | match (const char *test_string) const noexcept
template<typename TChar, typename TTraits>
void | print (std::basic_ostream< TChar, TTraits > &out) const

## Private Attributes

std::regex | m_regex

## Detailed Description

Matches if the test string matches the regular expression.

## Constructor & Destructor Documentation

## regex()

osmium::StringMatcher::regex::regex | ( | std::regex | regex | ) |

inlineexplicit

## Member Function Documentation

## match()

bool osmium::StringMatcher::regex::match | ( | const char * | test_string | ) | const

inlinenoexcept

## print()

template<typename TChar, typename TTraits>

void osmium::StringMatcher::regex::print | ( | std::basic_ostream< TChar, TTraits > & | out | ) | const

inline

## Member Data Documentation

## m_regex

std::regex osmium::StringMatcher::regex::m_regex

private

The documentation for this class was generated from the following file:

- include/osmium/util/string_matcher.hpp